import xml.etree.ElementTree as ElementTree

from .parse_xml_to_json import parse_xml_to_json


class PrestaShopParser:
    def __init__(self):
        pass

    @classmethod
    # parses xml categories response to a dictionary
    def parse_categories(self, xml_categories_content):
        xml_categories = ElementTree.fromstring(xml_categories_content)
        categories = list(xml_categories)[0]
        result = {}
        for child in categories:
            child_ojb = parse_xml_to_json(child)
            result[child_ojb['id']] = child_ojb
        # Alternatively if we wanna convert to Array check use the below
        # result = [parse_xml_to_json(child) for child in categories]
        return result

    @classmethod
    def parse_products(self, xml_products_content):
        xml_products = ElementTree.fromstring(xml_products_content)
        products = list(xml_products)[0]
        result = [parse_xml_to_json(child) for child in products]
        return result
