from rest_framework import views
from rest_framework.request import Request

from django.http import JsonResponse
from ..Clients.PrestaShopClient import PrestaShopClient
from ..parsers.PrestaShopParser import PrestaShopParser


class XmlGeneratorView(views.APIView):
    @classmethod
    def get(cls, request: Request, *args, **kwargs) -> JsonResponse:
        return JsonResponse({}, safe=False)

    @classmethod
    def post(cls, request: Request, *args, **kwargs) -> JsonResponse:
        url = request.data.get('url')
        token = request.data.get('token')

        prestashop_client = PrestaShopClient(base_url=url, token=token)

        products_response = prestashop_client.get_products({'limit': 4})
        categories_response = prestashop_client.get_categories({'limit': 4})
        categories = PrestaShopParser.parse_categories(categories_response)

        response_json = {categories, products_response}
        return JsonResponse(response_json, safe=False)
